server {
    listen  80 default_server;
    server_name  .example.com;
    server_tokens  off;
    sendfile off;
    root /var/www/code/public;
    index index.php;
    access_log  /var/log/nginx/access.log;
    error_log  /var/log/nginx/error.log;

    location = /favicon.ico {
        empty_gif;
        expires 1M;
        alias /var/www/code/src/static/favicon.ico;
        access_log off;
    }

    location = /robots.txt {
        alias /var/www/code/src/static/robots.txt;
        access_log off;
    }

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ~ \.php$ {
        try_files $uri = 404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/tmp/php-fpm.sock;
        fastcgi_index  index.php;
        fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
        include fastcgi_params;
    }
}